Personal source code system of [Dym Sohin](https://dym.sh/about/), a Full-Stack Web-Developer


### categories of projects i create and maintain

#### [/apps](https://source.garden/apps/) — apps and web-based tools (mostly to get, transform, and view data)
- [asyncron](https://source.garden/apps/asyncron/) – a synchronized checklist verification
- [clean-urls](https://source.garden/apps/clean-urls/) – cleaning URLs from www, final slashes, and utm_
- [clown-id](https://source.garden/apps/clown-id/) – bun svelte fediverse clown costume parts
- [dir2feed](https://source.garden/apps/dir2feed/) – create rss/podcast feed from a directory of audio files (fork of https://gist.github.com/vsoch/4898025919365bf23b6f )
- [git-io-addon](https://source.garden/apps/git-io-addon/) – git.io browser extension with support for custom URLs and shrt-history (2013)
- [grid](https://source.garden/apps/grid/) – multi-monitor dashboard
- [gtlds](https://source.garden/apps/gtlds/) – sort .gTLD's by length and price
- [inventory](https://source.garden/apps/inventory/) – content management in a form of a spreadsheet table with typization, tagging, and multimedia
- [link-shortener](https://source.garden/apps/link-shortener/)
- [photo-manager](https://source.garden/apps/photo-manager/) – Upload and Management of Photos (node.js, 2016)
- [randomize-letter-writings](https://source.garden/apps/randomize-letter-writings/)
- [urls-from-profiles](https://source.garden/apps/urls-from-profiles/) – the users.CSV to feeds.OPML pipeline

#### [/config](https://source.garden/config/) — settings, configs, dotfiles
- [browser-addons](https://source.garden/config/browser-addons/) – config files for addons of web-browsers
- [desktop-debian](https://source.garden/config/desktop-debian/) – system settings, config files, and scripts
- [desktop-macos](https://source.garden/config/desktop-macos/)
- [desktop-nixos](https://source.garden/config/desktop-nixos/)
- [desktop-ubuntu](https://source.garden/config/desktop-ubuntu/) – system settings, config files, and scripts
- [desktop-windows](https://source.garden/config/desktop-windows/)
- [server-debian](https://source.garden/config/server-debian/) – setup site, mail, git, etc

#### [/scripts](https://source.garden/scripts/) — small helper-script (mostly in shell/bash/zsh)
- [_dump](https://source.garden/scripts/_dump/) – a pile of shell script too small to get their own repos
- [bak](https://source.garden/scripts/bak/) – scripts for making backups
- [rename-ext](https://source.garden/scripts/rename-ext/) – changes file-extension based on mime-type
- [y](https://source.garden/scripts/y/) – algorithmically-enhanced yt-dlp (youtube-dl) wrapper for audio-downloads
- [yt-hide](https://source.garden/scripts/yt-hide/) – hide unwanted (watched, upcoming, live, long) videos on YouTube's pages (forked from  )

#### [/styles](https://source.garden/styles/) — themes, usersyles, and templates (mostly in css and html)
- [behance-img-rightclick](https://source.garden/styles/behance-img-rightclick/) – allow rightclick on image elements on behance.net
- [forgejo-pale-rainbow](https://source.garden/styles/forgejo-pale-rainbow/) – default forgejo-dark but true-gray
- [freefeed-dark](https://source.garden/styles/freefeed-dark/) – Dark Mode for [freefeed.net mokum.place myfeed.rocks] (2018)
- [gravatar-chevron](https://source.garden/styles/gravatar-chevron/) – better chevron for buttons with icons, i.e. «Read our Privacy Policy»
- [gts-pale-rainbow](https://source.garden/styles/gts-pale-rainbow/) – true-gray GotoSocial-v0.15 theme
- [markdown-raw](https://source.garden/styles/markdown-raw/) – CSS style to make HTML look like raw markdown
- [sublime-monokai-colors](https://source.garden/styles/sublime-monokai-colors/)
- [tonsky-neutral-gray](https://source.garden/styles/tonsky-neutral-gray/) – that yellow background was very nerving
- [translit-dark](https://source.garden/styles/translit-dark/) – Dark Mode for Translit.net

#### [/ui](https://source.garden/ui/) — user-interfaces; web-pages (the read-only/data-display kind)
- [alvarez](https://source.garden/ui/alvarez/)
- [gfs](https://source.garden/ui/gfs/)
- [homepage-2023](https://source.garden/ui/homepage-2023/)
- [immo](https://source.garden/ui/immo/)
- [ns5](https://source.garden/ui/ns5/)
- [todays-place](https://source.garden/ui/todays-place/)

#### [/vis](https://source.garden/vis/) — creative coding, data-/visualization, and generative arts
- [beads](https://source.garden/vis/beads/)
- [radiator-furnace](https://source.garden/vis/radiator-furnace/) – ambient of furnace with flames inside it
- [rainbow-star-cluster](https://source.garden/vis/rainbow-star-cluster/) – random distribution of colored dots in 3D
